#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,i,x,s,t=1,u=1,min,max,k,l,z;
    scanf("%d",&n);
    scanf("%d",&x);
    max=x;
    min=x;
    int a[n];
    for(i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
        if (a[i]<x) t=0;
        if (a[i]>x) u=0;
        if (a[i]<min) min=a[i];
        if (a[i]>max) max=a[i];
    }

    if(t) abs(s=max-x);
    if(u) abs(s=x-min);
    k=abs(max-x);
    l=abs(x-min);
    if(k<l) z=k;
    else z=l;
    if((t==0)&&(u==0)) s=abs(max-x)+abs(x-min)+z;
    printf("%d",s);
    return 0;
}